

__END__

=pod

=head1 NAME

Mason::Manual::Cookbook - Recipes for common Mason tasks

=head1 RECIPES

=head2 HTML list formed from array

    <ul> 
    % foreach $item (@list) { 
      <li><% $item %></li> 
    % } 
    </ul>

=head2 HTML table formed from list of objects

    <table>
      <tr><th>Foo</th><th>Bar</th><th>Baz</th></tr>
    % foreach my $obj (@objects) {
      <tr>
        <td><% $obj->foo %></td>
        <td><% $obj->bar %></td>
        <td><% $obj->baz %></td>
      </tr>
    % }
    </table>

=head1 SEE ALSO

L<Mason|Mason>

=head1 AUTHOR

Jonathan Swartz <swartz@pobox.com>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2012 by Jonathan Swartz.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
